%define qtmajor 5
%define qtminor 6
%define qtsubminor 1

%define rel 1

%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtpositioning %mklibname qt5positioning %qtmajor
%define libqtpositioning_d %mklibname qt5positioning -d

%define libqtlocation %mklibname qt5location %qtmajor
%define libqtlocation_d %mklibname qt5location -d

%define qttarballdir qtlocation-opensource-src-%{qtversion}

Name: qtlocation5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Location
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL: http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qt5gui-private-devel >= %{version}
BuildRequires: qt5core-private-devel = %{version}
BuildRequires: qtquick5-devel >= %{version}
BuildRequires: qtquick5-private-devel >= %{version}
BuildRequires: qtqml5-devel >= %{version}
BuildRequires: qtqml5-private-devel >= %{version}
BuildRequires: lib64geoclue-devel
BuildRequires: lib64gypsy-devel
BuildRequires: GConf2-devel
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

%files 
%{_qt5_prefix}/qml/QtLocation

%{_qt5_plugindir}/geoservices

#------------------------------------------------------------------------------

%package -n qtpositioning5
Summary: Qt%{qtmajor} Positioning Component Library
Group: System/Libraries
Requires: %{libqtpositioning} = %{version}
Provides: qt5positioning = %{version}

%description -n qtpositioning5
Qt%{qtmajor} Component Library.

The Positioning module provides positioning information via QML and C++ interfaces.

%files -n qtpositioning5
%{_qt5_prefix}/qml/QtPositioning
%{_qt5_plugindir}/position


#------------------------------------------------------------------------------

%package -n %{libqtpositioning}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Component Library.

The Positioning module provides positioning information via QML and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt5_libdir}/libQt5Positioning.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtpositioning_d}
Summary: Devel files needed to build apps based on QtPositioning
Group: Development/Libraries
Requires: %{libqtpositioning} = %version
Provides: libqtpositioning5-devel = %version
Provides: libqt5positioning-devel = %version
Provides: qtpositioning5-devel = %version
Provides: qt5positioning-devel = %version

Provides: libqtpositioning5-private-devel = %version
Provides: libqt5positioning-private-devel = %version
Provides: qtpositioning5-private-devel = %version
Provides: qt5positioning-private-devel = %version

Obsoletes: %{_lib}qt5positioning-private-devel
Provides:  %{_lib}qt5positioning-private-devel = %version

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/cmake/Qt5Positioning

%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_includedir}/QtPositioning
%{_qt5_datadir}/mkspecs/modules/qt_lib_positioning_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtlocation}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtlocation}
Qt%{qtmajor} Component Library.

The Location module provides location information via QML and C++ interfaces.

%files -n %{libqtlocation}
%{_qt5_libdir}/libQt5Location.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtlocation_d}
Summary: Devel files needed to build apps based on QtLocation
Group: Development/Libraries
Requires: %{libqtlocation} = %version
Provides: libqtlocation5-devel = %version
Provides: libqt5location-devel = %version
Provides: qtlocation5-devel = %version
Provides: qt5location-devel = %version

Provides: libqtlocation5-private-devel = %version
Provides: libqt5location-private-devel = %version
Provides: qtloation5-private-devel = %version
Provides: qt5location-private-devel = %version

Obsoletes: %{_lib}qt5location-private-devel
Provides:  %{_lib}qt5location-private-devel = %version


%description -n %{libqtlocation_d}
Devel files needed to build apps based on Qt Location.

%files -n %{libqtlocation_d}
%{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_includedir}/QtLocation
%{_qt5_datadir}/mkspecs/modules/qt_lib_location.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_location_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------
%install
rm -rf %buildroot
make INSTALL_ROOT=$RPM_BUILD_ROOT install

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -rf %{buildroot}/%_qt5_examplesdir

%changelog
* Thu Jun 09 2016 bb <bb> 5.6.1-1pclos2016
- update

* Fri Mar 18 2016 bb <bb> 5.6.0-1pclos2016
- update
